import { DebuggerWorker } from "./debugger-worker";
import { Breakpoint, InitArguments, Stackframe, Variables, Location } from "./types";
export declare class DebuggerClient {
    worker: Worker | DebuggerWorker;
    seq: number;
    initialized: boolean;
    resolverMap: Map<number, (value: unknown) => void>;
    finished: boolean;
    private readonly commandsReturnLocation;
    private readonly breakpointCommads;
    constructor(useWebWorker?: boolean, worker?: Worker);
    initialize(init_arguments: InitArguments): Promise<void>;
    reset(): Promise<Location>;
    stepOver(): Promise<Location>;
    stepInto(): Promise<Location>;
    stepOut(): Promise<Location>;
    stepNext(): Promise<Location>;
    advance(): Promise<Location>;
    continueUntilBreakpoint(): Promise<Location>;
    addBreakpoint(breakpoint: Breakpoint): Promise<void>;
    removeBreakpoint(breakpoint: Breakpoint): Promise<void>;
    removeAllBreakpoints(): Promise<void>;
    requireVariables(): Promise<Variables>;
    requireStacktrace(): Promise<Stackframe[]>;
    private sendRequest;
    private handleResponse;
}
